#
# spec file for package apache2-webthings-collection (Version 1.0)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           apache2-webthings-collection
BuildRequires:  apache2-devel apache2-prefork apache2-worker
%define apxs /usr/sbin/apxs2
%define apache apache2
%define apache_libexecdir %(%{apxs} -q LIBEXECDIR)
%define apache_sysconfdir %(%{apxs} -q SYSCONFDIR)
%define apache_includedir %(%{apxs} -q INCLUDEDIR)
%define apache_serverroot %(%{apxs} -q PREFIX)
%define apache_localstatedir %(%{apxs} -q LOCALSTATEDIR)
%define apache_mmn        %(MMN=$(%{apxs} -q LIBEXECDIR)_MMN; test -x $MMN && $MMN)
Version:        1.0
Release:        54.28
License:        GPL
Group:          Productivity/Networking/Web/Servers
Requires:       apache2 %{apache_mmn} 
Autoreqprov:    on
Summary:        Some Apache modules from Webthing.com
#
Source10:       http://apache.webthing.com/svn/apache/forms/mod_form.c
Source11:       http://apache.webthing.com/svn/apache/forms/mod_form.h
Patch0:         mod_form.c.preserve_args.patch
#
Source20:       http://apache.webthing.com/mod_line_edit/mod_line_edit.c
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This is a collection of some Apache modules from Webthing.com, like 
mod_form and mod_edit.

See 
http://apache.webthing.com/mod_form/
http://apache.webthing.com/mod_line_edit/

Author: Nick Kew

%if 0%{?opensuse_bs}
 %debug_package
%endif
%prep
cp -p %{S:10} %{S:11} %{S:20} .
%patch0

%build
%{apxs} -c mod_form.c
%{apxs} -c mod_line_edit.c

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{apache_libexecdir}
mkdir -p $RPM_BUILD_ROOT/%{apache_includedir}
cp -p .libs/mod_form.so $RPM_BUILD_ROOT/%{apache_libexecdir}
cp -p .libs/mod_line_edit.so $RPM_BUILD_ROOT/%{apache_libexecdir}
cp -p mod_form.h $RPM_BUILD_ROOT/%{apache_includedir}

%files
%defattr(-,root,root)
#%doc mod_*.{c,h}
%{apache_libexecdir}/*.so
%{apache_includedir}/*.h

%changelog
* Tue Mar 13 2007 poeml@suse.de
- add patch to mod_form to preserve r->args (apr_strtok is
  destructive in this regard). Makes mod_autoindex work again in
  conjunction with directories where FormGET is enabled.
* Sun Feb 11 2007 poeml@suse.de
- install the mod_form header file
* Sun Feb 11 2007 poeml@suse.de
- package created, containing mod_form.{c,h}, mod_line_edit.c
